idea配置spring-boot,创建的一些依赖包无法引用-问答-阿里云开发者社区-阿里云

开发者社区> 问答> 正文

idea配置spring-boot,创建的一些依赖包无法引用

2019-03-12 14:24:48 7300 1

pom配置文件:

<?xml version="1.0" encoding="UTF-8"?>

     xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
<modelVersion>4.0.0</modelVersion>
<parent>
    <groupId>org.springframework.boot</groupId>
    <artifactId>spring-boot-starter-parent</artifactId>
    <version>2.1.3.RELEASE</version>
    <relativePath/> <!-- lookup parent from repository -->
</parent>
<groupId>com.example</groupId>
<artifactId>spring-boot</artifactId>
<version>0.0.1-SNAPSHOT</version>
<name>spring-boot</name>
<description>Demo project for Spring Boot</description>

<properties>
    <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
    <project.reporting.outputEncoding>UTF-8</project.reporting.outputEncoding>
    <java.version>1.8</java.version>
</properties>

<dependencies>
    <!-- 启动web支持 -->
    <dependency>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-web</artifactId>
    </dependency>
    <!-- 添加单元测试 -->
    <dependency>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-starter-test</artifactId>
        <scope>test</scope>
    </dependency>
    <!-- 添加处理器,spring-boot默认加载的是yml文件,这个配置就是用于引入传统的xml或properties配置 -->
    <dependency>
        <groupId>org.springframework.boot</groupId>
        <artifactId>spring-boot-configuration-processor</artifactId>
        <optional>true</optional>
    </dependency>
</dependencies>

<build>
    <plugins>
        <plugin>
            <groupId>org.springframework.boot</groupId>
            <artifactId>spring-boot-maven-plugin</artifactId>
        </plugin>
    </plugins>
</build>

报错类:

QQ_20190312141604

报错提示:

QQ_20190312142540

为什么已经引入了spring-boot-starter-test,还要让我配置呢?

报错信息位置下可以找到对应的类,只拿一个例子出来:

QQ_20190312141839

依赖包:

QQ_20190312142138
QQ_20190312142247

取消 提交回答
全部回答(1)
  • 强心剂
    2019-07-17 23:30:38
    已采纳

    这个应该是idea本身的问题,刚开始用idea还不熟悉,请各位大佬指教


    问题原因找到了,因为我pom文件中配置的spring-boot-starter-test的scope是test,所以将这个文件放到test目录下就可以了,规范性的东西,还是要遵守的

    0 0
相关问答

1

回答

Idea配置spring-boot-devtools- 不起作用:报错 

2020-06-04 21:09:14 482浏览量 回答数 1

1

回答

Idea配置spring-boot-devtools- 不起作用 - idea报错

2020-06-04 22:04:20 3566浏览量 回答数 1

1

回答

使用IntelliJ IDEA开发SpringMVC网站(二)框架配置 :报错

2020-06-14 16:14:15 334浏览量 回答数 1

1

回答

IntelliJ IDEA 如何这样配置Tomcat 403.10 禁止访问:配置无效

2020-05-27 18:07:04 524浏览量 回答数 1

1

回答

在IntelliJ IDEA上面登入docker提示请求超时

2019-01-17 13:55:01 1493浏览量 回答数 1

1

回答

Intellij Idea 怎么设置包名的显示方式?

2016-06-02 09:42:40 5515浏览量 回答数 1

1

回答

IntelliJ IDEA 中部署Tomcat应用存在两个同名应用程序,请问他们有什么区别?

2016-03-04 10:03:58 1780浏览量 回答数 1

1

回答

intellij idea 调试只能调试一次第二次不能进入断点

2016-02-28 14:55:13 8998浏览量 回答数 1

1

回答

IntelliJ IDEA 如何实现 动态 提示代码?

2016-02-25 18:31:25 4002浏览量 回答数 1

1

回答

IntelliJ IDEA清空项目缓存

2016-02-18 15:32:22 6108浏览量 回答数 1
+关注
强心剂
陷入IT的深坑
40
文章
4
问答
问答排行榜
最热
最新
相关电子书
更多
低代码开发师(初级)实战教程
立即下载
阿里巴巴DevOps 最佳实践手册
立即下载
冬季实战营第三期:MySQL数据库进阶实战
立即下载